ioBroker Forum


Nutzungsbedingungen |Datenschutzrichtlinie
Cloud |Dokumentation
Aktuelle Zeit: 20.02.2018, 10:07

Alle Zeiten sind UTC+01:00




Ein neues Thema erstellen  Auf das Thema antworten  [ 50 Beiträge ]  Gehe zu Seite Vorherige 1 2 3
Autor Nachricht
BeitragVerfasst: 13.02.2018, 15:54 
Offline
guru
Benutzeravatar

Registriert: 10.04.2015, 12:27
Beiträge: 3508
Hat sich bedankt: 292 Mal
Danksagung erhalten: 322 Mal
Kann ich mir nicht erklären. Bei mir und anderen tut es.

Welche nodejs/npm Version hast Du? Das wäre das einzige was ich befürchten könnte das du npm 5 jast


Nach oben
   
BeitragVerfasst: 13.02.2018, 21:36 
Offline
professional

Registriert: 26.04.2015, 21:24
Beiträge: 233
Hat sich bedankt: 16 Mal
Danksagung erhalten: 4 Mal
Wenn ich nodejs command prompt starte erscheint am Anfang:

Your environment has been set up for using Node.js 4.5.0 (x64) and npm.


Nach oben
   
BeitragVerfasst: 13.02.2018, 21:40 
Offline
guru
Benutzeravatar

Registriert: 18.01.2016, 22:12
Beiträge: 1295
Wohnort: Herzogenrath
Hat sich bedankt: 72 Mal
Danksagung erhalten: 57 Mal
Mach mal

Code:
npm -v


Und

Code:
node -v



Gesendet von iPhone mit Tapatalk Pro

_________________
Iobroker auf OMV NAS, i5 16GB 120GB SSD System und 2x4TB als Speicher. IoBroker Pi3 mit RS485/USB Modbus, USB-Lesekopf mit Smartmeter Adapter. 2x Ipad, 1x Medion Tab als Display. Smarthome: Homematic, HUE ....zum probieren eine "Alexa"


Nach oben
   
BeitragVerfasst: 15.02.2018, 19:05 
Offline
professional

Registriert: 26.04.2015, 21:24
Beiträge: 233
Hat sich bedankt: 16 Mal
Danksagung erhalten: 4 Mal
C:\Users\xxx>npm -v
2.15.9

C:\Users\xxx>node -v
v4.5.0


Nach oben
   
BeitragVerfasst: 15.02.2018, 19:41 
Offline
guru
Benutzeravatar

Registriert: 10.04.2015, 12:27
Beiträge: 3508
Hat sich bedankt: 292 Mal
Danksagung erhalten: 322 Mal
Ich hab nur wenige Ideen noch. Installier mal die aktuellste Version (nicht github) und schick vollständiges install und Start log.


Nach oben
   
BeitragVerfasst: 16.02.2018, 08:51 
Offline
professional

Registriert: 26.04.2015, 21:24
Beiträge: 233
Hat sich bedankt: 16 Mal
Danksagung erhalten: 4 Mal
muss ich vorher etwas im logging umstellen um ein vollständiges install und start log zu erhalten ?
wo finde ich die beiden logs dann ?


Nach oben
   
BeitragVerfasst: 16.02.2018, 10:21 
Offline
guru
Benutzeravatar

Registriert: 18.01.2016, 22:12
Beiträge: 1295
Wohnort: Herzogenrath
Hat sich bedankt: 72 Mal
Danksagung erhalten: 57 Mal
z.b:

Code:
cd /opt/iobroker/log/


da liegen die aktuellen logs mit Datum

Vor dem Adapter start

Code:
debug


aktivieren

_________________
Iobroker auf OMV NAS, i5 16GB 120GB SSD System und 2x4TB als Speicher. IoBroker Pi3 mit RS485/USB Modbus, USB-Lesekopf mit Smartmeter Adapter. 2x Ipad, 1x Medion Tab als Display. Smarthome: Homematic, HUE ....zum probieren eine "Alexa"


Nach oben
   
BeitragVerfasst: 17.02.2018, 11:02 
Offline
professional

Registriert: 26.04.2015, 21:24
Beiträge: 233
Hat sich bedankt: 16 Mal
Danksagung erhalten: 4 Mal
Hi,

hier das log beim Versuch von 0.5.3 auf 1.1.0 über webui upzugraden:

Code:
2018-02-17 10:09:05.575  - info: iobroker upgrade modbus
2018-02-17 10:09:11.765  - info: iobroker Update modbus from @0.5.3 to @1.1.0
2018-02-17 10:09:11.781  - info: iobroker npm install iobroker.modbus@1.1.0 --production --prefix "C:/ioBroker" (System call)
2018-02-17 10:17:36.272  - info: host.iobroker Delete log file iobroker.2018-02-10.log
2018-02-17 10:17:36.272  - info: host.iobroker Cannot delete file "C:\ioBroker\log\iobroker.2018-02-10.log": Error: EPERM: operation not permitted, unlink 'C:\ioBroker\log\iobroker.2018-02-10.log'
2018-02-17 10:18:21.180  - info: admin-beta.0 Request actual repository...
2018-02-17 10:18:21.476  - info: host.iobroker Update repository "latest" under "http://download.iobroker.net/sources-dist-latest.json"
2018-02-17 10:18:23.093  - info: admin-beta.0 Repository received successfully.
2018-02-17 10:24:22.851  - info: iobroker npm
2018-02-17 10:24:22.867  - info: iobroker 
2018-02-17 10:24:22.882  - info: iobroker ERR! Windows_NT 10.0.14393
2018-02-17 10:24:22.882  - info: iobroker npm ERR! argv "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodejs\\node_modules\\npm\\bin\\npm-cli.js" "install" "iobroker.modbus@1.1.0" "--production" "--prefix" "C:/ioBroker"npm ERR! node v4.5.0
npm ERR!
2018-02-17 10:24:22.882  - info: iobroker  npm  v2.15.9npm ERR! path C:\ioBroker\node_modules\iobroker.modbus\node_modules\serialport\build\Release\serialport.node
npm ERR! code EPERM
npm ERR! errno -4048
npm ERR! syscall unlink

2018-02-17 10:24:22.898  - info: iobroker
2018-02-17 10:24:22.898  - info: iobroker npm ERR! Error: EPERM: operation not permitted, unlink 'C:\ioBroker\node_modules\iobroker.modbus\node_modules\serialport\build\Release\serialport.node'npm ERR!     at Error (native)
npm ERR!  { [Error: EPERM: operation not permitted, unlink 'C:\ioBroker\node_modules\iobroker.modbus\node_modules\serialport\build\Release\serialport.node']
npm ERR!   errno: -4048,
npm ERR!   code: 'EPERM',
npm ERR!   syscall: 'unlink',
npm
2018-02-17 10:24:22.898  - info: iobroker 
2018-02-17 10:24:22.914  - info: iobroker ERR!
2018-02-17 10:24:22.914  - info: iobroker    path: 'C:\\ioBroker\\node_modules\\iobroker.modbus\\node_modules\\serialport\\build\\Release\\serialport.node' }
2018-02-17 10:24:22.914  - info: iobroker npm ERR! npm ERR! Please try running this command again as root/Administrator.

2018-02-17 10:39:06.006  - info: iobroker npm
2018-02-17 10:39:06.021  - info: iobroker 
2018-02-17 10:39:06.037  - info: iobroker ERR!
2018-02-17 10:39:06.037  - info: iobroker  error rolling back Error: EPERM: operation not permitted, unlink 'C:\ioBroker\node_modules\iobroker.modbus\node_modules\serialport\build\Release\serialport.node'npm
2018-02-17 10:39:06.056  - info: iobroker  ERR! error rolling back     at Error (native)npm
2018-02-17 10:39:06.056  - info: iobroker  ERR! error rolling back  { [Error: EPERM: operation not permitted, unlink 'C:\ioBroker\node_modules\iobroker.modbus\node_modules\serialport\build\Release\serialport.node']npm ERR! error rolling back   errno: -4048,
npm ERR! error rolling back   code: 'EPERM',
npm ERR! error rolling back   syscall: 'unlink',

2018-02-17 10:39:06.068  - info: iobroker npm ERR!
2018-02-17 10:39:06.086  - info: iobroker error rolling back   path: 'C:\\ioBroker\\node_modules\\iobroker.modbus\\node_modules\\serialport\\build\\Release\\serialport.node' }
2018-02-17 10:39:06.099  - info: iobroker npm ERR! Please include the following file with any support request:
npm ERR!     C:\ioBroker\node_modules\iobroker\npm-debug.log

2018-02-17 10:39:06.163  - error: iobroker host.iobroker Cannot install iobroker.modbus@1.1.0: 4294963248
2018-02-17 10:39:06.232  - info: iobroker exit 25
2018-02-17 10:41:10.220  - info: modbus.0 List of port: []
2018-02-17 10:41:11.348  - info: modbus.0 List of port: []
2018-02-17 10:42:17.636  - info: modbus.0 List of port: []
2018-02-17 10:42:18.676  - info: modbus.0 List of port: []
2018-02-17 10:42:19.709  - info: modbus.0 List of port: []
2018-02-17 10:42:20.745  - info: modbus.0 List of port: []
2018-02-17 10:42:21.769  - info: modbus.0 List of port: []
2018-02-17 10:42:22.806  - info: modbus.0 List of port: []
2018-02-17 10:42:23.828  - info: modbus.0 List of port: []
2018-02-17 10:42:24.867  - info: modbus.0 List of port: []
2018-02-17 10:42:25.884  - info: modbus.0 List of port: []
2018-02-17 10:42:26.940  - info: modbus.0 List of port: []
2018-02-17 10:42:27.966  - info: modbus.0 List of port: []
2018-02-17 10:42:28.995  - info: modbus.0 List of port: []
2018-02-17 10:42:30.054  - info: modbus.0 List of port: []
2018-02-17 10:42:31.073  - info: modbus.0 List of port: []
2018-02-17 10:42:32.090  - info: modbus.0 List of port: []
2018-02-17 10:42:33.144  - info: modbus.0 List of port: []
2018-02-17 10:42:34.179  - info: modbus.0 List of port: []
2018-02-17 10:42:35.330  - info: modbus.0 List of port: []
2018-02-17 10:42:36.380  - info: modbus.0 List of port: []
2018-02-17 10:42:37.417  - info: modbus.0 List of port: []
2018-02-17 10:42:38.467  - info: modbus.0 List of port: []
2018-02-17 10:42:39.498  - info: modbus.0 List of port: []
2018-02-17 10:42:40.534  - info: modbus.0 List of port: []


Jetzt geht leider gar nichts mehr beim modbus adapter.
Ich kann jetzt auch keinen downgrade auf 0.5.3 mehr machen, das ging bisher immer und danach lief er auch wieder.

Unter Adapter schaut es jetzt so aus als ob gar kein Modbus mehr installiert wäre:

Dateianhang:
mod_adapterPNG.PNG
mod_adapterPNG.PNG [ 8.12 KiB | 24 mal betrachtet ]


Unter Instanzen ist der Adapter noch vorhanden, läuft aber nicht mehr:

Dateianhang:
mod_inst.PNG
mod_inst.PNG [ 16.9 KiB | 24 mal betrachtet ]


und in der cli schaut es so aus:

Dateianhang:
mod_cmd.PNG
mod_cmd.PNG [ 41.15 KiB | 24 mal betrachtet ]


Wie bringe ich das Ding jetzt wieder zum Laufen ?


Nach oben
   
BeitragVerfasst: 17.02.2018, 11:16 
Offline
guru
Benutzeravatar

Registriert: 10.04.2015, 12:27
Beiträge: 3508
Hat sich bedankt: 292 Mal
Danksagung erhalten: 322 Mal
iobroker install modbus@1.1.0 in einer Administrator Shell!!


Nach oben
   
BeitragVerfasst: 17.02.2018, 12:02 
Offline
professional

Registriert: 26.04.2015, 21:24
Beiträge: 233
Hat sich bedankt: 16 Mal
Danksagung erhalten: 4 Mal
Danke apollon !

Mit dem befehl hats jetzt funktioniert. Jetzt läuft auch die 1.1.0 ohne Fehlermeldung.

Kann ich also daraus schließen, dass der Modbus Adapter eine höhere Berechtigung braucht, als andere Adapter ?
Oder warum lassen sich andere Adapter per Webui updaten, der Modbus Adapter aber nicht ?


Nach oben
   
Beiträge der letzten Zeit anzeigen:  Sortiere nach  
Ein neues Thema erstellen  Auf das Thema antworten  [ 50 Beiträge ]  Gehe zu Seite Vorherige 1 2 3

Alle Zeiten sind UTC+01:00


Wer ist online?

Mitglieder in diesem Forum: Röstkartoffel und 1 Gast


Du darfst keine neuen Themen in diesem Forum erstellen.
Du darfst keine Antworten zu Themen in diesem Forum erstellen.
Du darfst deine Beiträge in diesem Forum nicht ändern.
Du darfst deine Beiträge in diesem Forum nicht löschen.
Du darfst keine Dateianhänge in diesem Forum erstellen.

Suche nach:
Gehe zu Forum:  
Powered by phpBB® Forum Software © phpBB Limited
Deutsche Übersetzung durch phpBB.de